POST registerreasons
BearerAuthorizationBearer <token>Paste your JWT token here
application/json- body
Defines the DTO for creating a register reason, containing localized text and ordering.
titleDutch*stringThe Dutch title for the registration reason.
0 <= length <= 120titleEnglish*stringThe English title for the registration reason.
0 <= length <= 120descriptionDutch*stringThe Dutch description for the registration reason.
0 <= length <= 2000descriptionEnglish*stringThe English description for the registration reason.
0 <= length <= 2000sortOrder?|The order in which this reason should be displayed.
int32Created
application/json- response
Represents the response DTO for a register reason.
id*integerThe unique identifier of a RegisterReason, assigned incrementally.
int32titleDutch*stringThe Dutch title for the registration reason.
titleEnglish*stringThe English title for the registration reason.
descriptionDutch*stringThe Dutch description for the registration reason.
descriptionEnglish*stringThe English description for the registration reason.
sortOrder*integerThe order in which this reason should be displayed.
int32iconPath?|The storage path of the icon associated with this reason.
curl -X POST 'https://example.com/registerreasons' \ -H 'Content-Type: application/json' \ -d '{ "titleDutch": "string", "titleEnglish": "string", "descriptionDutch": "string", "descriptionEnglish": "string"}'{ "id": 0, "titleDutch": "string", "titleEnglish": "string", "descriptionDutch": "string", "descriptionEnglish": "string", "sortOrder": 0, "iconPath": "string"}